% funkce pro výpočet rozdílové dunkce

function AMDF = AMDF( y )
    AMDF = zeros(length(y),1);

    for m = 1:length(y)
        delka = length(y)+1-m; 
        AMDF(m,1) = sum(abs(y(1:delka)-y(m:end)));
    end
end

